<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.mapper.CustomerServiceReceiveMapper">

	 
    
    <!-- 表字段 -->
    <sql id="baseColumns">
         t.id_ AS id
        , t.batch_sending_id_ AS batchSendingId
        , t.user_id_ AS userId
        , t.client_type_ AS clientType
        , t.create_time_ AS createTime
    </sql>
    
    <select id="selectPage" resultType="com.yonge.cooleshow.biz.dal.wrapper.im.CustomerServiceReceiveWrapper$CustomerServiceReceive">
		SELECT         
        	<include refid="baseColumns" />
		FROM customer_service_receive t
		<where>
            <if test="param.batchSendingId != null">
                AND t.batch_sending_id_ = #{param.batchSendingId}
            </if>
        </where>
        ORDER BY t.id_ DESC
	</select>
    
</mapper>